searchData={"items":[{"type":"module","title":"m_unicode","doc":null,"ref":"m_unicode.html"},{"type":"function","title":"m_unicode.characters_to_binary/1","doc":"Converts a possibly unicode list of integers into a binary representing Unicode characters. Returns binary on success or 'error' atom otherwise.","ref":"m_unicode.html#characters_to_binary/1"},{"type":"function","title":"m_unicode.characters_to_binary/2","doc":null,"ref":"m_unicode.html#characters_to_binary/2"},{"type":"function","title":"m_unicode.characters_to_list/1","doc":"Converts a possibly deep list of integers and binaries into a list of integers representing Unicode characters. Returns unicode character list on success or 'error' atom otherwise. The binaries in the input can have characters encoded as one of the following: - ISO Latin-1 (0-255, one character per byte). Here, case parameter InEncoding is to be specified as latin1. - One of the UTF-encodings, which is specified as parameter InEncoding.","ref":"m_unicode.html#characters_to_list/1"},{"type":"function","title":"m_unicode.characters_to_list/2","doc":null,"ref":"m_unicode.html#characters_to_list/2"},{"type":"function","title":"m_unicode.explode_trim_skip_empty/2","doc":null,"ref":"m_unicode.html#explode_trim_skip_empty/2"},{"type":"function","title":"m_unicode.is_ascii/1","doc":"Returns true if the specified unicode list contains only ASCII characters or false otherwise.","ref":"m_unicode.html#is_ascii/1"},{"type":"function","title":"m_unicode.is_ascii_alpha/1","doc":"Returns true if the specified unicode list contains only ASCII alphabetic characters or false otherwise.","ref":"m_unicode.html#is_ascii_alpha/1"},{"type":"function","title":"m_unicode.is_ascii_alpha_lower/1","doc":"Returns true if the specified unicode list contains only ASCII alphabetic lower case characters or false otherwise.","ref":"m_unicode.html#is_ascii_alpha_lower/1"},{"type":"function","title":"m_unicode.is_ascii_alpha_numeric/1","doc":"Returns true if the specified unicode list contains only ASCII alphabetic and numeric characters or false otherwise.","ref":"m_unicode.html#is_ascii_alpha_numeric/1"},{"type":"function","title":"m_unicode.is_ascii_alpha_numeric_lower/1","doc":"Returns true if the specified unicode list contains only ASCII alphabetic lower case and numeric characters or false otherwise.","ref":"m_unicode.html#is_ascii_alpha_numeric_lower/1"},{"type":"function","title":"m_unicode.is_ascii_alpha_numeric_upper/1","doc":"Returns true if the specified unicode list contains only ASCII alphabetic upper case and numeric characters or false otherwise.","ref":"m_unicode.html#is_ascii_alpha_numeric_upper/1"},{"type":"function","title":"m_unicode.is_ascii_alpha_upper/1","doc":"Returns true if the specified unicode list contains only ASCII alphabetic upper case characters or false otherwise.","ref":"m_unicode.html#is_ascii_alpha_upper/1"},{"type":"function","title":"m_unicode.is_ascii_numeric/1","doc":"Returns true if the specified unicode list contains only ASCII numeric characters or false otherwise.","ref":"m_unicode.html#is_ascii_numeric/1"},{"type":"function","title":"m_unicode.is_unicode_alpha/1","doc":"Returns true if the specified unicode list contains only alphabetic letters or false otherwise. All letters in all languages are taken in account not only standard english ASCII letters. This function allow you to check for valid names for example.","ref":"m_unicode.html#is_unicode_alpha/1"},{"type":"function","title":"m_unicode.is_unicode_name/1","doc":null,"ref":"m_unicode.html#is_unicode_name/1"},{"type":"function","title":"m_unicode.replace/3","doc":"Replace the specified list of characters with the specified character or characters","ref":"m_unicode.html#replace/3"},{"type":"function","title":"m_unicode.replace_string/3","doc":"Replace the specified string with the specified character or characters","ref":"m_unicode.html#replace_string/3"},{"type":"function","title":"m_unicode.to_lower/1","doc":null,"ref":"m_unicode.html#to_lower/1"},{"type":"function","title":"m_unicode.to_title/1","doc":null,"ref":"m_unicode.html#to_title/1"},{"type":"function","title":"m_unicode.to_upper/1","doc":null,"ref":"m_unicode.html#to_upper/1"},{"type":"function","title":"m_unicode.trim/1","doc":"Trim unicode list","ref":"m_unicode.html#trim/1"},{"type":"function","title":"m_unicode.trim/2","doc":"Trim unicode list left, right, both or none","ref":"m_unicode.html#trim/2"},{"type":"function","title":"m_unicode.trim_left/1","doc":"Left trim unicode list","ref":"m_unicode.html#trim_left/1"},{"type":"function","title":"m_unicode.trim_right/1","doc":"Right trim unicode list","ref":"m_unicode.html#trim_right/1"},{"type":"module","title":"m_unicode_char","doc":null,"ref":"m_unicode_char.html"},{"type":"function","title":"m_unicode_char.is_ascii/1","doc":"Returns true if the specified unicode character is an ASCII character or false otherwise.","ref":"m_unicode_char.html#is_ascii/1"},{"type":"function","title":"m_unicode_char.is_ascii_alpha/1","doc":"Returns true if the specified unicode character is an ASCII alphabetic character or false otherwise.","ref":"m_unicode_char.html#is_ascii_alpha/1"},{"type":"function","title":"m_unicode_char.is_ascii_alpha_lower/1","doc":"Returns true if the specified unicode character is an ASCII alphabetic lower case character or false otherwise.","ref":"m_unicode_char.html#is_ascii_alpha_lower/1"},{"type":"function","title":"m_unicode_char.is_ascii_alpha_numeric/1","doc":"Returns true if the specified unicode character is an ASCII alpha numeric character or false otherwise.","ref":"m_unicode_char.html#is_ascii_alpha_numeric/1"},{"type":"function","title":"m_unicode_char.is_ascii_alpha_numeric_lower/1","doc":"Returns true if the specified unicode character is an ASCII alpha numeric lower character or false otherwise.","ref":"m_unicode_char.html#is_ascii_alpha_numeric_lower/1"},{"type":"function","title":"m_unicode_char.is_ascii_alpha_numeric_upper/1","doc":"Returns true if the specified unicode character is an ASCII alpha numeric upper character or false otherwise.","ref":"m_unicode_char.html#is_ascii_alpha_numeric_upper/1"},{"type":"function","title":"m_unicode_char.is_ascii_alpha_upper/1","doc":"Returns true if the specified unicode character is an ASCII alphabetic upper case character or false otherwise.","ref":"m_unicode_char.html#is_ascii_alpha_upper/1"},{"type":"function","title":"m_unicode_char.is_ascii_numeric/1","doc":"Returns true if the specified unicode character is an ASCII numeric character or false otherwise.","ref":"m_unicode_char.html#is_ascii_numeric/1"},{"type":"function","title":"m_unicode_char.is_unicode_alpha/1","doc":"Returns true if the specified character is valid alphabetic unicode letter or false otherwise","ref":"m_unicode_char.html#is_unicode_alpha/1"},{"type":"function","title":"m_unicode_char.is_unicode_alpha_numeric/1","doc":"Returns true if the specified unicode character is valid alpha numeric unicode letter or false otherwise","ref":"m_unicode_char.html#is_unicode_alpha_numeric/1"},{"type":"function","title":"m_unicode_char.is_unicode_line_break/1","doc":"Returns true if the specified unicode character is a line break unicode character or false otherwise. This method will return true if the character is one of the following: - line feed - carriage return - next line - line separator 8232 - Common General Punctuation Separator space. Line. - paragraph separator 8233 - Common General Punctuation Separator space. Paragraph.","ref":"m_unicode_char.html#is_unicode_line_break/1"},{"type":"function","title":"m_unicode_char.is_unicode_numeric/1","doc":"Returns true if the specified character is valid numeric unicode letter or false otherwise","ref":"m_unicode_char.html#is_unicode_numeric/1"},{"type":"function","title":"m_unicode_char.is_unicode_space/1","doc":"Returns true if the specified unicode character is a spacing unicode character or false otherwise this method will return true if the character is one of the following: - character tabulation - line tabulation - form feed - space Most common (normal ASCII space) - no-break space, identical to 16#0020, but not a point at which a line may be broken. - ogham space mark. Used for interword separation in Ogham text. Normally a vertical line in vertical text or a horizontal line in horizontal text, but may also be a blank space in &quot;stemless&quot; fonts. - en quad 8192 - Punctuation Separator space Width of one en. - em quad 8193 - Common General Punctuation Separator space Also known as &quot;mutton quad&quot;. Width of one em. - en space 8194 - Common General Punctuation Separator space Also known as &quot;nut&quot;. Width of one en. - em space 8195 - Common General Punctuation Separator space. Also known as &quot;mutton&quot;. Width of one em. - three-per-em space 8196 - Common General Punctuation Separator space. Also known as &quot;thick space&quot;. One third of an em wide. - four-per-em space 8197 - Common General Punctuation Separator space. Also known as &quot;mid space&quot;. One fourth of an em wide. - six-per-em space 8198 - Common General Punctuation Separator space. One sixth of an em wide. In computer typography, sometimes equated to 16#2009. - figure space 8199 - Common General Punctuation Separator space. Figure space. In fonts with monospaced digits, equal to the width of one digit. HTML/XML named entity: numsp; - punctuation space 8200 - Common General Punctuation Separator space. As wide as the narrow punctuation in a font, HTML/XML named entity: puncsp; - thin space 8201 - Common General Punctuation Separator space. One-fifth (sometimes one-sixth) of an em wide. Recommended for use as a thousands separator for measures made with SI units. - hair space 8202 - Common General Punctuation Separator space. Thinner than a thin space. HTML/XML named entity: hairsp; - narrow no-break space 8239 - Common General Punctuation Separator space. Narrow no-break space. Similar in function to 16#00A0 No-Break Space. When used with Mongolian, its width is usually one third of the normal space. - medium mathematical space 8287 - Common General Punctuation Separator space. MMSP. Used in mathematical formulae. - ideographic space 12288 - CJK Symbols Punctuation Separator, used, for example, in tai tou.","ref":"m_unicode_char.html#is_unicode_space/1"},{"type":"function","title":"m_unicode_char.is_unicode_space_or_line_break/1","doc":"Returns true if the specified unicode character is a spacing unicode character or a line break unicode character. this method will return true if the character is one of the following: - character tabulation - line feed - line tabulation - form feed - carriage return - space Most common (normal ASCII space) - next line - no-break space, identical to 16#0020, but not a point at which a line may be broken. - ogham space mark. Used for interword separation in Ogham text. Normally a vertical line in vertical text or a horizontal line in horizontal text, but may also be a blank space in &quot;stemless&quot; fonts. - en quad 8192 - Punctuation Separator space Width of one en. - em quad 8193 - Common General Punctuation Separator space Also known as &quot;mutton quad&quot;. Width of one em. - en space 8194 - Common General Punctuation Separator space Also known as &quot;nut&quot;. Width of one en. - em space 8195 - Common General Punctuation Separator space. Also known as &quot;mutton&quot;. Width of one em. - three-per-em space 8196 - Common General Punctuation Separator space. Also known as &quot;thick space&quot;. One third of an em wide. - four-per-em space 8197 - Common General Punctuation Separator space. Also known as &quot;mid space&quot;. One fourth of an em wide. - six-per-em space 8198 - Common General Punctuation Separator space. One sixth of an em wide. In computer typography, sometimes equated to 16#2009. - figure space 8199 - Common General Punctuation Separator space. Figure space. In fonts with monospaced digits, equal to the width of one digit. HTML/XML named entity: numsp; - punctuation space 8200 - Common General Punctuation Separator space. As wide as the narrow punctuation in a font, HTML/XML named entity: puncsp; - thin space 8201 - Common General Punctuation Separator space. One-fifth (sometimes one-sixth) of an em wide. Recommended for use as a thousands separator for measures made with SI units. - hair space 8202 - Common General Punctuation Separator space. Thinner than a thin space. HTML/XML named entity: hairsp; - line separator 8232 - Common General Punctuation Separator space. Line. - paragraph separator 8233 - Common General Punctuation Separator space. Paragraph. - narrow no-break space 8239 - Common General Punctuation Separator space. Narrow no-break space. Similar in function to 16#00A0 No-Break Space. When used with Mongolian, its width is usually one third of the normal space. - medium mathematical space 8287 - Common General Punctuation Separator space. MMSP. Used in mathematical formulae. - ideographic space 12288 - CJK Symbols Punctuation Separator, used, for example, in tai tou.","ref":"m_unicode_char.html#is_unicode_space_or_line_break/1"},{"type":"function","title":"m_unicode_char.to_lower/1","doc":null,"ref":"m_unicode_char.html#to_lower/1"},{"type":"function","title":"m_unicode_char.to_title/1","doc":null,"ref":"m_unicode_char.html#to_title/1"},{"type":"function","title":"m_unicode_char.to_upper/1","doc":null,"ref":"m_unicode_char.html#to_upper/1"},{"type":"extras","title":"Overview","doc":"# m_unicode\nErlang Unicode Utils Library used for Mustang\n\nm_unicode is a library that implements essential Unicode functions missing from Erlang OTP, such as:\n\n- unicode trim\n- unicode trim_left\n- unicode trim_right\n- unicode to_lower\n- unicode to_upper\n- unicode to_title\n- is_unicode_name\n- is_unicode_alpha\n- is_unicode_numeric\n- is_unicode_alpha_numeric\n- is_unicode_space\n- is_unicode_line_break\n- is_unicode_space_or_line_break\n\n\n[![Erlang CI](https://github.com/ergenius/m_unicode/actions/workflows/erlang.yml/badge.svg)](https://github.com/ergenius/m_unicode/actions/workflows/erlang.yml)\n\nm_unicode is also available on [HEX](https://hex.pm/packages/m_unicode/)","ref":"readme.html"},{"type":"extras","title":"Features - Overview","doc":"- Fast.\n- Simple.","ref":"readme.html#features"},{"type":"extras","title":"Project roadmap - Overview","doc":"1. Continuously fixing bugs and tuning performance.\n2. Writing testing units.\n3. Add more features.","ref":"readme.html#project-roadmap"},{"type":"extras","title":"Erlang versions supported - Overview","doc":"This project officially supports OTP release 25 and later.\n\nDevelopment takes place using OTP 27 release and tests are done on:\n\n- 27.0.1\n- 26.2.5\n- 25.3.2\n\nUnofficially, you may be able to use this project with older Erlang versions. No guarantee included.","ref":"readme.html#erlang-versions-supported"},{"type":"extras","title":"Dependencies - Overview","doc":"None.","ref":"readme.html#dependencies"},{"type":"extras","title":"Authors - Overview","doc":"- Madalin Grigore-Enescu (ergenius) - [Github](https://github.com/ergenius) [ergenius.com]( )","ref":"readme.html#authors"},{"type":"extras","title":"License - Overview","doc":"m_unicode is available under the MIT license (see `LICENSE`).","ref":"readme.html#license"},{"type":"extras","title":"License","doc":"MIT License\n\nCopyright (c) 2022 Madalin Grigore-Enescu\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/plain","producer":{"name":"ex_doc","version":[48,46,51,50,46,50]}}